Subject: Re: L.A.R.E

From: [email-masked] (CLARB2)
Date: 4 May 1995 09:31:45 -0400

45 states and 2 Canadian provinces currently use the L.A.R.E. to license
landscape architects.  The L.A.R.E. has seven sections, and is
administered the same way and at the same time in every jurisdiction.  

In addition to the L.A.R.E., some jurisdictions have a separate
examination which covers plant material and/or local law.  To get more
information on Washington's requirements, you may call Sharon Kinder at
the Washington Department of Licensing in Olympia at 360/586-8935.  

If you would like further information about the L.A.R.E., please call
CLARB at 703/818-1300 or [email-masked]